Lingua::Stem::De(3)

NAME
Lingua::Stem::De - Stemming algorithm for German

SYNOPSIS
    use Lingua::Stem::De;
    my $stems   = Lingua::Stem::De::stem({ -words => $word_list_reference,
                                          -locale => 'de',
                                      -exceptions => $exceptions_hash,
                                     });

DESCRIPTION
This routine applies a stemming slgorithm to a passed anon array of German words, returning the stemmed words as an anon array.

It is a 'convienence' wrapper for 'Text::German' that provides a standardized interface and caching.

CHANGES
1.01 2003.09.28 - Documentation fix

1.00 2003.04.05 - Initial release

METHODS

stem({ -words => \@words, -locale => 'de', -exceptions => \%exceptions });
    Stems a list of passed words using the rules of German Returns an anonymous array reference to the stemmed words.

    Example:

      my $stemmed_words = Lingua::Stem::De::stem({ -words => \@words,
                                                  -locale => 'de',
                                              -exceptions => \%exceptions,
                              });

stem_caching({ -level => 0|1|2 });
    Sets the level of stem caching.

    '0' means 'no caching'. This is the default level.

    '1' means 'cache per run'. This caches stemming results during a single
        call to 'stem'.

    '2' means 'cache indefinitely'. This caches stemming results until
        either the process exits or the 'clear_stem_cache' method is called.

clear_stem_cache;
    Clears the cache of stemmed words

NOTES
This code is almost entirely derived from Text::German written by Ulrich Pfeifer

SEE ALSO
 Lingua::Stem Text::German

AUTHOR
  Ulrich Pfeifer

  Integration in Lingua::Stem by
  Benjamin Franz, FreeRun Technologies,
  snowhare@nihongo.org or http://www.nihongo.org/snowhare/

COPYRIGHT
Ulrich Pfeifer Benjamin Franz, FreeRun Technologies

This code is freely available under the same terms as Perl.

BUGS

TODO